Bug 245630 - sysutils/bastille: Update to 0.6.20200414
Summary: sysutils/bastille: Update to 0.6.20200414
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kyle Evans
URL: https://github.com/BastilleBSD/bastil...
Keywords: buildisok, easy
Depends on:
Blocks: 247204
  Show dependency treegraph
 
Reported: 2020-04-15 04:32 UTC by Christer Edwards
Modified: 2020-06-17 02:52 UTC (History)
6 users (show)

See Also:
lwhsu: maintainer-feedback+
kevans: merge-quarterly-


Attachments
patch (1.60 KB, text/plain)
2020-04-15 04:32 UTC, Christer Edwards
christer.edwards: maintainer-approval+
Details
poudriere testport (amd64) (15.94 KB, text/plain)
2020-04-15 04:33 UTC, Christer Edwards
no flags Details
patch (2.10 KB, patch)
2020-04-17 02:14 UTC, Christer Edwards
christer.edwards: maintainer-approval+
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christer Edwards 2020-04-15 04:32:56 UTC
Created attachment 213402 [details]
patch

This patch updates sysutils/bastille to upstream 0.6.20200414.

Release notes here: https://github.com/BastilleBSD/bastille/releases/tag/0.6.20200414
Comment 1 Christer Edwards 2020-04-15 04:33:15 UTC
Created attachment 213403 [details]
poudriere testport (amd64)
Comment 2 Fernando Apesteguía freebsd_committer 2020-04-15 07:50:01 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-16 04:37:42 UTC
The patch changes the name of the installed configuration file, but doesn't contain a pkg-plist update to match.

The current pkg-plist entry is:

@sample etc/bastille/bastille.conf

I'd have expected packaging to fail on this basis, or was @sample papering or just magic handling the issue?
Comment 4 Christer Edwards 2020-04-17 02:14:48 UTC
Created attachment 213477 [details]
patch
Comment 5 Automation User 2020-05-10 23:26:49 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/144523896
Comment 6 Kyle Evans freebsd_committer 2020-05-11 17:04:56 UTC
Ping @koobs
Comment 7 Li-Wen Hsu freebsd_committer 2020-06-16 16:56:42 UTC
koobs: ping?
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-17 01:34:02 UTC
The best/correct way to request feedback is using flags :)

In this case since Kyle is under menntorship, maintainer-approval ? koobs (yes maintainer is a bit weird in terms of naming, but it works as described)

I also see no explicit (non automated) confirmation of QA post patch update (comment 4)
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-17 01:34:26 UTC
Comment on attachment 213477 [details]
patch

Pending QA confirmation from Kyle
Comment 10 Kyle Evans freebsd_committer 2020-06-17 02:02:40 UTC
Q/A:
 * portlint (looks fine.)
 * testport OK (-CURRENT/amd64, 11.3/amd64, 12.1/i386)
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-17 02:03:59 UTC
Comment on attachment 213477 [details]
patch

@Kyle If this update comprises primary bugfixes, please MFh, if not MFH: No (reason)
Comment 12 Kyle Evans freebsd_committer 2020-06-17 02:14:35 UTC
(In reply to Kubilay Kocak from comment #11)

Will MFH: 2020Q2
Comment 13 commit-hook freebsd_committer 2020-06-17 02:39:06 UTC
A commit references this bug:

Author: kevans
Date: Wed Jun 17 02:38:39 UTC 2020
New revision: 539400
URL: https://svnweb.freebsd.org/changeset/ports/539400

Log:
  sysutils/bastille: Update to 0.6.20200414

  Release notes:
   - https://github.com/BastilleBSD/bastille/releases/tag/0.6.20200414

  PR:		245630
  Submitted by:	christer.edwards@gmail.com (maintainer)
  Approved by:	koobs (mentor, ports)
  MFH:		No (bugfix of prior release not megred)

Changes:
  head/sysutils/bastille/Makefile
  head/sysutils/bastille/distinfo
  head/sysutils/bastille/pkg-plist
Comment 14 Kyle Evans freebsd_committer 2020-06-17 02:39:57 UTC
Committed, thanks! In a follow-up discussion on IRC, I noted that the previous release was actually a feature release not eligible for merge to 2020Q2, so this one will not be MFH'd accordingly.